local hotkeys = require("awful.hotkeys_popup")

return gears.table.join(
	awful.key( {"Mod4"}, "s",
		hotkeys.show_help,
		{
			description = "Show help",
			group = "Desktop"
		}
	),

	awful.key( {"Mod4", "Control", "Shift"}, "r",
		awesome.restart,
		{
			description = "Restart awesome",
			group = "Desktop"
		}
	),

	awful.key( {"Mod4"}, "r",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "x",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "Return",
		function ()
			awful.spawn(config.core.terminal)
		end,

		{
			description = "Open a terminal",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "\\",
		function ()
			awful.spawn(config.core.browser)
		end,

		{
			description = "Open a browser tab",
			group = "Launcher"
		}
	)
)
