return gears.table.join(
	awful.key( {"Mod4"}, "Left",
		function ()
			awful.client.focus.byidx( 1)
		end,
		{
			description = "Focus next",
			group = "Client"
		}
	),

	awful.key( {"Mod4"}, "Right",
		function ()
			awful.client.focus.byidx(-1)
		end,
		{
			description = "Focus previous",
			group = "Client"
		}
	),

	awful.key( {"Mod4", "Shift"}, "j",
		function ()
			awful.client.swap.byidx(1)
		end,
		{
			description = "Swap with next window",
			group = "Client"
		}
	),

	awful.key( {"Mod4", "Shift"}, "k",
		function ()
			awful.client.swap.byidx(-1)
		end,
		{
			description = "Swap with previous window",
			group = "Client"
		}
	),

	awful.key( {"Mod4"}, "u",
		awful.client.urgent.jumpto,
		{
			description = "Jump to urgent window",
			group = "Client"
		}
	),

	awful.key( {"Mod4"}, "b",
		function ()
			awful.client.focus.history.previous()
			if client.focus then
				client.focus:raise()
			end
		end,
		{
			description = "Go back",
			group = "Client"
		}
	),

	awful.key( {"Mod4", "Control"}, "n",
		function ()
			local c = awful.client.restore()
			-- Focus restored client
			if c then
				c:emit_signal(
					"request::activate", "key.unminimize", {raise = true}
				)
			end
		end,
		{
			description = "Restore minimized",
			group = "Client"
		}
	)
)
