local layoutmanager = require("core.layouts.layoutmanager")

return gears.table.join(
	awful.key( {"Mod4"}, "j",
		function ()
			awful.tag.incmwfact( 0.05)
		end,
		{
			description = "increase master width factor",
			group = "Layout"
		}
	),

	awful.key({"Mod4"}, "h",
		function ()
			awful.tag.incmwfact(-0.05)
		end,
		{
			description = "decrease master width factor",
			group = "Layout"
		}
	),

	awful.key( {"Mod4", "Shift"}, "h",
		 function ()
			awful.tag.incnmaster(1, nil, true)
		end,
		{
			description = "increase the number of master clients",
			group = "Layout"
		}
	),

	awful.key( {"Mod4", "Shift"}, "l",
		function ()
			awful.tag.incnmaster(-1, nil, true)
		end,
		{
			description = "decrease the number of master clients",
			group = "Layout"
		}
	),

	awful.key( {"Mod4", "Control"}, "h",
		function ()
			awful.tag.incncol(1, nil, true)
		end,
		{
			description = "increase the number of columns",
			group = "Layout"
		}
	),

	awful.key( {"Mod4", "Control"}, "l",
		function ()
			awful.tag.incncol(-1, nil, true)
		end,
		{
			description = "decrease the number of columns",
			group = "Layout"
		}
	),

	awful.key( {"Mod4"}, "l",
		function ()
			layoutmanager:next()
		end,
		{
			description = "select layouts",
			group = "Layout"
		}
	),

	awful.key( {"Mod4"}, "k",
		function ()
			layoutmanager:next_alt()
		end,
		{
			description = "cycle alt layouts",
			group = "Layout"
		}
	)
)
