local function make_shortcut(command, icon)
	local widget = wibox.widget {
		{
			{   -- Right space
				widget = wibox.widget.separator,
				color = beautiful.color.transparent,
				forced_width = beautiful.dpi(3)
			},
			{
				wibox.widget {
					resize = true,
					image = config.core.app_icon_dir .. icon,
					widget = wibox.widget.imagebox
				},
				top = beautiful.dpi(3),
				bottom = beautiful.dpi(3),
				layout = wibox.container.margin,
			},
			{   -- Left space
				widget = wibox.widget.separator,
				color = beautiful.color.transparent,
				forced_width = beautiful.dpi(3)
			},
			layout = wibox.layout.align.horizontal,
		},
		layout = wibox.container.background
	}

	widget:connect_signal("mouse::enter", function(result)
		result.bg = beautiful.color.bar.hover_bg
	end)

	widget:connect_signal("mouse::leave", function(result)
		result.bg = beautiful.color.transparent
	end)


	widget:connect_signal("button::press",
		function(_, _, _, button, mods)
			if (button == 1) then
				awful.spawn(command, false)
			end
		end
	)

	return widget
end

return make_shortcut
